GSET_FILL_INT_STYLE(3NCARG)

NAME
gset_fill_int_style (Set fill area interior style) - sets the fill style of polygons drawn with gfill_area.

SYNOPSIS
#include <ncarg/gks.h>

void gset_fill_int_style(Gfill_int_style fill_int_style);

DESCRIPTION

fill_int_style
    (Input) - Gives the style of fill to be used in subsequent calls to the gfill_area output primitive. Options are:

    GSTYLE_HOLLOW
        Hollow fill (the default)

    GSTYLE_SOLID
        Solid fill

    GSTYLE_PAT
        Pattern fill (not implemented in NCAR GKS).

    GSTYLE_HATCH
        Hatch fill

USAGE
For fill style "Hatch", gset_fill_style_ind should be used to specify the type of hatch pattern used (horizontal lines, vertical lines, etc.)

Note: If you call gfill_area and generate an output graphic only to find that you have a closed curve with no fill, you probably have allowed the fill choice to default to hollow fill (no fill).

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: gfill_area(3NCARG), gset_fill_style_ind(3NCARG), gset_colr_rep(3NCARG), gset_fill_colr_ind(3NCARG), ginq_fill_int_style(3NCARG), ginq_fill_style_ind(3NCARG), areas(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.